Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.http
Class HttpFileSystemConfigBuilder

    java.lang.Object
      org.apache.commons.vfs.FileSystemConfigBuilder
          org.apache.commons.vfs.provider.http.HttpFileSystemConfigBuilder

public class HttpFileSystemConfigBuilder
extends FileSystemConfigBuilder

Configuration options for HTTP

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Mario Ivankovits

Method Summary
`protected Class` | `getConfigClass()`
`org.apache.commons.httpclient.Cookie[]` | `getCookies(FileSystemOptions opts)` The cookies to add to the reqest
`static HttpFileSystemConfigBuilder` | `getInstance()`
`UserAuthenticator` | `getProxyAuthenticator(FileSystemOptions opts)` Get the proxy authenticator where the system should get the credentials from
`String` | `getProxyHost(FileSystemOptions opts)` Get the proxy to use for http connection You have to set the ProxyPort too if you would like to have the proxy relly used.
`int` | `getProxyPort(FileSystemOptions opts)` Get the proxy-port to use for http the connection You have to set the ProxyHost too if you would like to have the proxy relly used.
`String` | `getUrlCharset(FileSystemOptions opts)` Set the charset used for url encoding
`void` | `setCookies(FileSystemOptions opts, org.apache.commons.httpclient.Cookie[] cookies)` The cookies to add to the reqest
`void` | `setProxyAuthenticator(FileSystemOptions opts, UserAuthenticator authenticator)` Set the proxy authenticator where the system should get the credentials from
`void` | `setProxyHost(FileSystemOptions opts, String proxyHost)` Set the proxy to use for http connection.
`void` | `setProxyPort(FileSystemOptions opts, int proxyPort)` Set the proxy-port to use for http connection You have to set the ProxyHost too if you would like to have the proxy relly used.
`void` | `setUrlCharset(FileSystemOptions opts, String chaset)` Set the charset used for url encoding

Methods inherited from class org.apache.commons.vfs.FileSystemConfigBuilder
`getParam, hasParam, setParam`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static HttpFileSystemConfigBuilder getInstance()

### setUrlCharset

    public void setUrlCharset(FileSystemOptions opts,
                              String chaset)

  Set the charset used for url encoding

  Parameters:
    `chaset` - the chaset

### getUrlCharset

    public String getUrlCharset(FileSystemOptions opts)

  Set the charset used for url encoding

  Returns:
    the chaset

### setProxyHost

    public void setProxyHost(FileSystemOptions opts,
                             String proxyHost)

  Set the proxy to use for http connection.
  You have to set the ProxyPort too if you would like to have the proxy relly used.

  Parameters:
    `proxyHost` - the host
  See Also:
    `setProxyPort(org.apache.commons.vfs.FileSystemOptions, int)`

### setProxyPort

    public void setProxyPort(FileSystemOptions opts,
                             int proxyPort)

  Set the proxy-port to use for http connection You have to set the ProxyHost too if you would like to have the proxy relly used.

  Parameters:
    `proxyPort` - the port
  See Also:
    `setProxyHost(org.apache.commons.vfs.FileSystemOptions, java.lang.String)`

### getProxyHost

    public String getProxyHost(FileSystemOptions opts)

  Get the proxy to use for http connection You have to set the ProxyPort too if you would like to have the proxy relly used.

  Returns:
    proxyHost
  See Also:
    `setProxyPort(org.apache.commons.vfs.FileSystemOptions, int)`

### getProxyPort

    public int getProxyPort(FileSystemOptions opts)

  Get the proxy-port to use for http the connection You have to set the ProxyHost too if you would like to have the proxy relly used.

  Returns:
    proxyPort: the port number or 0 if it is not set
  See Also:
    `setProxyHost(org.apache.commons.vfs.FileSystemOptions, java.lang.String)`

### setProxyAuthenticator

    public void setProxyAuthenticator(FileSystemOptions opts,
                                      UserAuthenticator authenticator)

  Set the proxy authenticator where the system should get the credentials from

### getProxyAuthenticator

    public UserAuthenticator getProxyAuthenticator(FileSystemOptions opts)

  Get the proxy authenticator where the system should get the credentials from

### setCookies

    public void setCookies(FileSystemOptions opts,
                           org.apache.commons.httpclient.Cookie[] cookies)

  The cookies to add to the reqest

### getCookies

    public org.apache.commons.httpclient.Cookie[] getCookies(FileSystemOptions opts)

  The cookies to add to the reqest

### getConfigClass

    protected Class getConfigClass()

  Specified by:
    `getConfigClass` in class `FileSystemConfigBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.